Subject: Re: [bug#45011] [PATCH] add emacs-project and dependency

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 04 Dec 2020 21:12:47 +0100

Hello,

Jonathan <[email-masked]> writes:

>  gnu/packages/emacs-xyz.scm | 61 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 61 insertions(+)

Thank you!

Could you write a commit message to introduce your changes? You can look
at those starting with "Add ..." in the code base.

Also, could you split it into two patches, one for each package?

> +  (synopsis "Operations on the current project")
> +  (description
> +   "NOTE: The project API is still experimental and can change in major,
> +backward-incompatible ways.  Everyone is encouraged to try it, and
> +report to us any problems or use cases we hadn't anticipated, by
> +sending an email to emacs-devel, or `M-x report-emacs-bug'.
> +
> +This file contains generic infrastructure for dealing with
> +projects, some utility functions, and commands using that
> +infrastructure.")

The synopsis could be clarified, so could the description. In
particular, the latter explains what the library is about.

> +  (description
> +    "NOTE: The xref API is still experimental and can change in major,
> +backward-incompatible ways.  Everyone is encouraged to try it, and
> +report to us any problems or use cases we hadn't anticipated, by
> +sending an email to emacs-devel, or `M-x report-emacs-bug'.
> +
> +This file provides a somewhat generic infrastructure for cross
> +referencing commands, in particular \"find-definition\".
> +
> +See the etags and elisp-mode implementations for full examples.")

Ditto.

Could you send an updated patch?

Regards,
-- 
Nicolas Goaziou